### Method

# WebKit2WebExtension DOMDocument get_elements_by_name

deprecated: 2.22

#### Declaration [src]

    WebKitDOMNodeList*
    webkit_dom_document_get_elements_by_name (
      WebKitDOMDocument* self,
      const gchar* elementName
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`elementName`

  Type: `const gchar*`

  A #gchar.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `WebKitDOMNodeList`

A `WebKitDOMNodeList`.

The caller of the method takes ownership of the data, and is responsible for freeing it.